---
title: "sqrt"
excerpt: "Compute the square root of a number."
layout: manual
---

Compute the square root of a number.



```js
sqrt(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 50, length = sqrt(2500) }, %)
  |> yLineTo(0, %)
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of sqrt 0](data:image/png;base64,[encoded data, 85316 characters])


